package com.mx.dla.dda.contrato.transaccion.terminos.dtos;

public enum MinimoTipos {

	CATEGORIA("CATEGORIA"), 
	PERIODO("PERIODO"), 
	NA("NA");

	private String desc;

	MinimoTipos( String desc) {		
		this.desc = desc;
	}

	public String getDesc() {
		return desc;
	}
		
	public static MinimoTipos getSeccion(String id){
		MinimoTipos[] values = MinimoTipos.values();
		
		MinimoTipos target = null;
		for (MinimoTipos t : values) {
			if (t.getDesc().equals(id)) {
				target = t;
				break;
			}
		}
		return target;
	}
	
}
